import request from '@/utils/request'

// 查询重点人群信息列表
export function listInfo(query) {
  return request({
    url: '/keyPeople/info/list',
    method: 'get',
    params: query
  })
}

// 查询重点人群信息详细
export function getInfo(id) {
  return request({
    url: '/keyPeople/info/' + id,
    method: 'get'
  })
}

// 新增重点人群信息
export function addInfo(data) {
  return request({
    url: '/keyPeople/info',
    method: 'post',
    data: data
  })
}

// 修改重点人群信息
export function updateInfo(data) {
  return request({
    url: '/keyPeople/info',
    method: 'put',
    data: data
  })
}

// 删除重点人群信息
export function delInfo(id) {
  return request({
    url: '/keyPeople/info/' + id,
    method: 'delete'
  })
}
